{% extends 'base.html' %}

{% load static %}
{% block content %}
<script src="{% static '/two_factor_authentication/js/two_factor_auth.js' %}"></script>
	<div class="row prepend-top-default p-2">
		<div class="col-lg-8">
			{% if messages %}
				<div class="{{ message.tags}} {{ message.extra_tags }}">
					{% for message in messages %}
						<div class="alert alert-success" role="alert">{{ message }}</div>
					{% endfor %}
				</div>
            {% endif %}
            <h1 class="pb-2">Two-Factor Authentication</h1>
			<form action="" accept-charset="UTF-8" method="POST">
				<div class="pb-2">
					<strong>Select any one of the recovery option:</strong>
				</div>
					{% if form and user.is_authenticated %}
						<div class="custom-control custom-switch pb-2">
							{% if user.email %}
								<input type="radio" class="custom-control-input" id="id_recovery_method_1" name="recovery_method" value="email" {% if form.initial.option.chosen_option == form.initial.email_option_name %} checked {% endif %} required>
								  	<label class="custom-control-label" for="id_recovery_method_1">Use my email address - 
								  		<strong>{{ user.email }}</strong>
								  	</label>	
							{% else %}
							<label class="custom-control-label">Inorder to use email address as recovery methods, please <a href="">update email address.</a></label>
							{% endif %}
						</div>
						<div class="custom-control custom-switch pb-2">
						{% if user.mobile %}
							  <input type="radio" class="custom-control-input" id="id_recovery_method_2" name="recovery_method" value="mobile" {% if form.initial.option.chosen_option == form.initial.mobile_option_name %} checked {% endif %} required>
							  	<label class="custom-control-label" for="id_recovery_method_2">Use my mobile number - <strong>{{ user.mobile }}</strong>
							  	</label>
						{% else %}
						<label class="custom-control-label disabled">Inorder to use mobile number as recovery methods, please <a href="">update mobile number.</a></label>
						{% endif %}
						</div>
					{% endif %}
				{{ form.recovery_method.errors }}
				<p class="form-text text-muted hint">
					Is that your old email address or mobile number? Please update you profile.
				</p>
				<p class="form-text text-muted hint">
					If you lose your device you can use any one of these methods to login.
				</p>
				<div class="prepend-top-default">
					<input type="submit" name="commit" value="Update" class="btn btn-success" data-disable-with="Register with two-factor app">
					<a href="{% url 'two_factor_authentication:profile_account' %}" class="btn btn-default">Cancel</a>
				</div>
				{% csrf_token %}
			</form>
		</div>
	</div>
	<hr>
	<div class="row pl-3 pt-2">
		<div class="col-lg-12">
			<p>
				Two-factor authentication (2FA), sometimes referred to as two-step verification or dual-factor authentication, is a security process in which users provide two different authentication factors to verify themselves. This process is done to better protect both the user's credentials and the resources the user can access. Two-factor authentication provides a higher level of security than authentication methods that depend on single-factor authentication (SFA), in which the user provides only one factor -- typically, a password or passcode. Two-factor authentication methods rely on a user providing a password, as well as a second factor, usually either a security token or a biometric factor, such as a fingerprint or facial scan.
			</p>
		</div>
	</div>
{% endblock %}